
pmb_sounds.sound_tag = {}
local tag = pmb_sounds.sound_tag

function pmb_sounds.register_tag(tagname, volume)
    tag[tagname] = volume
end

function pmb_sounds.tag(tagname, offset)
    return ((tag[tagname]) or 0) + (offset or 0)
end


pmb_sounds.register_tag("footstep", 0.3)
pmb_sounds.register_tag("ambient", 1)
pmb_sounds.register_tag("music", 1)
